# QKeySequence Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QKeySequence()
- void QKeySequence(StandardKey key)
- void QKeySequence(QKeySequence ks)
- void QKeySequence(String key)
- void QKeySequence(String key, SequenceFormat format)
- void QKeySequence(int k1, int k2, int k3, int k4)

### Constructor Properties

- prototype: The QKeySequence prototype object
- QKeySequence fromString(String str, SequenceFormat format)
- List keyBindings(StandardKey key)
- QKeySequence mnemonic(String text)
- NativeText
- PortableText
- SequenceFormat( value )
- UnknownKey
- HelpContents
- WhatsThis
- Open
- Close
- Save
- New
- Delete
- Cut
- Copy
- Paste
- Undo
- Redo
- Back
- Forward
- Refresh
- ZoomIn
- ZoomOut
- Print
- AddTab
- NextChild
- PreviousChild
- Find
- FindNext
- FindPrevious
- Replace
- SelectAll
- Bold
- Italic
- Underline
- MoveToNextChar
- MoveToPreviousChar
- MoveToNextWord
- MoveToPreviousWord
- MoveToNextLine
- MoveToPreviousLine
- MoveToNextPage
- MoveToPreviousPage
- MoveToStartOfLine
- MoveToEndOfLine
- MoveToStartOfBlock
- MoveToEndOfBlock
- MoveToStartOfDocument
- MoveToEndOfDocument
- SelectNextChar
- SelectPreviousChar
- SelectNextWord
- SelectPreviousWord
- SelectNextLine
- SelectPreviousLine
- SelectNextPage
- SelectPreviousPage
- SelectStartOfLine
- SelectEndOfLine
- SelectStartOfBlock
- SelectEndOfBlock
- SelectStartOfDocument
- SelectEndOfDocument
- DeleteStartOfWord
- DeleteEndOfWord
- DeleteEndOfLine
- InsertParagraphSeparator
- InsertLineSeparator
- SaveAs
- Preferences
- Quit
- StandardKey( value )
- NoMatch
- PartialMatch
- ExactMatch
- SequenceMatch( value )

### Prototype Object Properties

- uint count()
- bool isEmpty()
- SequenceMatch matches(QKeySequence seq)
- int operator_cast_int()
- bool operator_equal(QKeySequence other)
- bool operator_less(QKeySequence ks)
- int operator_subscript(uint i)
- void readFrom(QDataStream out)
- void swap(QKeySequence other)
- String toString(SequenceFormat format)
- void writeTo(QDataStream in)

### Instance Properties

QKeySequence objects have no special properties beyond those inherited from the QKeySequence prototype object.